From 91efc55ab422fcdff83fdc4fb9bd28b17c74c980 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=C3=81lvaro=20Herrera?= <alvherre@alvh.no-ip.org>
Date: Thu, 24 Apr 2025 21:09:22 +0200
Subject: [PATCH 2/2] Unnecessary change

I think we don't have a good reason to do this.
---
 src/backend/catalog/pg_constraint.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/src/backend/catalog/pg_constraint.c b/src/backend/catalog/pg_constraint.c
index 70528679e57..6d5f83f9329 100644
--- a/src/backend/catalog/pg_constraint.c
+++ b/src/backend/catalog/pg_constraint.c
@@ -779,6 +779,17 @@ AdjustNotNullInheritance(Oid relid, AttrNumber attnum,
 				ereport(ERROR,
 						errcode(ERRCODE_PROGRAM_LIMIT_EXCEEDED),
 						errmsg("too many inheritance parents"));
+
+
+			/*
+			 * If the child already has a valid constraint and we are creating
+			 * an invalid one with same definition on it.  The child's
+			 * constraint will remain valid, but can no longer be marked as
+			 * local.
+			 */
+			if (is_notvalid && conform->convalidated && conform->conenforced)
+				conform->conislocal = false;
+
 			changed = true;
 		}
 		else if (!conform->conislocal)
-- 
2.39.5

